<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    tools:background="@color/black">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:paddingVertical="2.5dp"
        android:paddingStart="2dp"
        android:paddingEnd="4dp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.adealink.weparty.commonui.imageview.GIFImageView
            android:id="@+id/room_cover"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:scaleType="centerCrop"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:placeholderImage="@drawable/common_default_avatar_ic"
            app:roundAsCircle="true" />

        <com.adealink.weparty.commonui.widget.AutoMarqueeTextView
            android:id="@+id/room_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="8dp"
            android:ellipsize="marquee"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:marqueeRepeatLimit="marquee_forever"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="12sp"
            android:textStyle="normal"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toTopOf="@id/room_id"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@id/room_cover"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed"
            app:layout_constraintWidth_max="115dp"
            tools:text="Lish Practice Lish PracticeLish PracticeLish Practice" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/room_id"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:lines="1"
            android:textColor="@color/white"
            android:textSize="8sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="@id/room_name"
            app:layout_constraintTop_toBottomOf="@+id/room_name"
            tools:ignore="SmallSp"
            tools:text="ID:123456" />


    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>